<?php 

function sfm_invoice_tagline($tagline) {
	return "";
}

function sfm_filter_user_args($query) {
	unset($query['description']);
	return $query;
}

function sfm_stud_in_class_columns($columns, $args) {
	if(isset($args[0]['description']) && trim($args[0]['description']) !== "") {
		$columns['description'] = "Payment Status";
	}
	return $columns;
}

function sfm_stud_in_class_dynamic_columns($dynamic_columns, $args) {
	if(isset($args[0]['description']) && trim($args[0]['description']) !== "") {
		$dynamic_columns['description'] = "_tf_sfm_get_fee_description_status";
	}
	return $dynamic_columns;
}

function sfm_stud_in_class_table($table, $args) {
	if(isset($args[0]['description']) && trim($args[0]['description']) !== "") {
		$table->fee_description = $args[0]['description'];
	}
	return $table;
}

function sfm_before_users_table_display($table, $args) {
	if(isset($args[0]['description']) && trim($args[0]['description']) !== "") {
		$table->fee_description = $args[0]['description'];
		$table->term = get_option("current_academic_term");
		$table->set_dynamic_columns([
			'description' => '_tf_sfm_get_fee_description_status'
		]);
		$table->set_display_columns([
			'description' => 'Payment Status'
		]);
	}
	
	return $table;
}